What are the system requirements for the Study Bundles, Adapt, & the flashcards?

Coaching Actuaries strives to support the latest 2 versions of every browser. In addition, you will need to have javascript (as well as an internet connection).